{
  "type": "palladium:compound",
  "layers": [
    {
  "type": "geckolib:default",
  "model": "omni_evo:geo/ultimate_aliens/ult_methanosian/ult_methanosian.geo.json",
    "texture": {
        "base": "omni_evo:textures/models/ultimate_aliens/methanosian_ult/ult_methanosian.png",
        "transformers": [
          {
            "type": "palladium:color",
            "color": "##GLOW_DEFAULT_1",
            "filter": "#B7FD02",
            "ignore_blank": true
          },
          {
            "type": "palladium:color",
            "color": "##GLOW_DEFAULT_2",
            "filter": "#90D91F",
            "ignore_blank": true
          }
        ],
        "variables": {
          "UNIFORM": {
            "type": "palladium:string_property",
            "property": "uniform"
          },
          "GLOW_DEFAULT_1": {
            "type": "palladium:string_property",
            "property": "methanosian_default_glowcolor_1_color_1"
          },
          "GLOW_DEFAULT_2": {
            "type": "palladium:string_property",
            "property": "methanosian_default_glowcolor_1_color_2"
          }
        }
      },
  "bones": {
    "head": "armorHead",
    "body": "armorBody",
    "right_arm": "armorRightArm",
    "left_arm": "armorLeftArm",
    "right_leg": "armorRightLeg",
    "left_leg": "armorLeftLeg"
  }
},
  {
      "type": "geckolib:default",
      "model": {
        "base": "omni_evo:geo/ultimate_aliens/ult_methanosian/methanosian_badge_ult.geo.json",
        "variables": {
          "BADGE": {
            "type": "palladium:string_property",
            "property": "badge"
          }
        }
      },
      "texture": {
        "base": "alienevo:textures/models/badge/badge_#BADGE.png",
        "transformers": [
          {
            "type": "palladium:overlay",
            "overlay": "alienevo:textures/models/badge/#BADGE/core_side/core_side_#Z.png"
          },
          {
            "type": "palladium:overlay",
            "overlay": "alienevo:textures/models/badge/#BADGE/core_top/core_top_#Y.png"
          },
          {
            "type": "palladium:overlay",
            "overlay": "alienevo:textures/models/badge/#BADGE/dial_inner/dial_inner_#X.png"
          },
          {
            "type": "palladium:overlay",
            "overlay": "alienevo:textures/models/badge/#BADGE/dial_outer/dial_outer_#W.png"
          }
        ],
        "variables": {
          "BADGE": {
            "type": "palladium:string_property",
            "property": "badge"
          },
          "Z": {
            "type": "palladium:objective_score",
            "objective": "AlienEvo.CoreSide"
          },
          "Y": {
            "type": "palladium:objective_score",
            "objective": "AlienEvo.CoreTop"
          },
          "X": {
            "type": "palladium:objective_score",
            "objective": "AlienEvo.DialInner"
          },
          "W": {
            "type": "palladium:objective_score",
            "objective": "AlienEvo.DialOuter"
          }
        }
      }
    },
    {
      "type": "geckolib:default",
      "render_type": "glow",
      "model": {
        "base": "omni_evo:geo/ultimate_aliens/ult_methanosian/methanosian_badge_ult.geo.json",
        "variables": {
          "BADGE": {
            "type": "palladium:string_property",
            "property": "badge"
          }
        }
      },
      "texture": {
        "base": "alienevo:textures/models/badge/badge_glow_#WATCHSTATE_#BADGE.png",
        "transformers": [
          {
            "type": "palladium:color",
            "color": "##GLOW_1",
            "filter": "#b3ff40",
            "ignore_blank": true
          },
          {
            "type": "palladium:color",
            "color": "##GLOW_2",
            "filter": "#a7f72e",
            "ignore_blank": true
          },
          {
            "type": "palladium:color",
            "color": "##GLOW_3",
            "filter": "#8ed721",
            "ignore_blank": true
          }
        ],
        "variables": {
          "WATCHSTATE": {
            "type": "palladium:string_property",
            "property": "watch_state"
          },
          "BADGE": {
            "type": "palladium:string_property",
            "property": "badge"
          },
          "GLOW_1": {
            "type": "palladium:string_property",
            "property": "uniform_glow_color_1"
          },
          "GLOW_2": {
            "type": "palladium:string_property",
            "property": "uniform_glow_color_2"
          },
          "GLOW_3": {
            "type": "palladium:string_property",
            "property": "uniform_glow_color_3"
          }
        }
      }
    }
  ]
}